Bug 837161 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /etc/passwd.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /et...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a70bded21fea7fdaaa81c1eea4b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 23:06 EDT by bharatt hareindharan
Modified: 2012-07-17 13:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 13:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bharatt hareindharan 2012-07-02 23:06:17 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-3.fc17.x86_64
time:           Tue 03 Jul 2012 11:06:08 AM SGT

description:
:SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed read access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep cobblerd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:cobblerd_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        cobblerd
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-3.fc17.x86_64 #1 SMP
:                              Tue Jun 26 20:54:56 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Tue 03 Jul 2012 08:31:45 AM SGT
:Last Seen                     Tue 03 Jul 2012 11:03:10 AM SGT
:Local ID                      6b602a25-7e33-47f2-93cc-3590979dc53f
:
:Raw Audit Messages
:type=AVC msg=audit(1341284590.219:2500): avc:  denied  { read } for  pid=27374 comm="cobblerd" name="passwd" dev="dm-0" ino=2235201 scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1341284590.219:2500): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa8f17d36ca a1=80000 a2=1b6 a3=238 items=0 ppid=1 pid=27374 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=cobblerd exe=/usr/bin/python2.7 subj=system_u:system_r:cobblerd_t:s0 key=(null)
:
:Hash: cobblerd,cobblerd_t,passwd_file_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 bharatt hareindharan 2012-07-02 23:15:44 EDT
827813 ==> states that this bug has been fixed in the 
           selinux-policy-3.10.0-130.fc17 release.

Current selinux-policy package version:

selinux-policy-3.10.0-134.fc17.noarch
selinux-policy-devel-3.10.0-134.fc17.noarch
libselinux-utils-2.1.10-3.fc17.x86_64
selinux-policy-targeted-3.10.0-134.fc17.noarch
libselinux-2.1.10-3.fc17.x86_64
libselinux-2.1.10-3.fc17.i686
libselinux-python-2.1.10-3.fc17.x86_64

Please check if am missing out on something.

Thanks
Comment 2 Miroslav Grepl 2012-07-03 02:29:46 EDT
You are right.

Fixed in selinux-policy-3.10.0-137.fc17
Comment 3 bharatt hareindharan 2012-07-03 06:59:17 EDT
Hi, thanks for the solution.
Would like to know if the update is available, or we have to update from "testing" repo ?

Thanks
Comment 4 Fedora Update System 2012-07-04 02:41:52 EDT
selinux-policy-3.10.0-137.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-137.fc17
Comment 5 Fedora Update System 2012-07-05 19:36:54 EDT
Package selinux-policy-3.10.0-137.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-137.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10279/selinux-policy-3.10.0-137.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-17 13:28:07 EDT
selinux-policy-3.10.0-137.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.